/*
 * Copyright: 2005 Axis Communications AB
 *
 * This work is licensed under the terms of the GNU GPL, version 2 or later.
 * See the COPYING file in the top-level directory.
 * 
 * network interface manipulation
 * 
 * Authors:          Edgar E. Iglesias <edgar@axis.com>
 */

#include <net/if.h>

#ifndef IF_RA_MANAGED
#define IF_RA_OTHERCONF   0x80
#define IF_RA_MANAGED     0x40
#define IF_RA_RCVD        0x20
#endif

extern ssize_t if_hwaddress(int s, unsigned char *buf, size_t buflen,
                            char *ifname, uint16_t *type);

extern int if_get_raflags(char *interface);
static inline int if_mc_bindsocket(int s, char *interface)
{
	int ifindex;
	ifindex = if_nametoindex(interface);
	return setsockopt(s, IPPROTO_IPV6, IPV6_MULTICAST_IF,
			  &ifindex, sizeof ifindex);
}
