/*
 * Copyright: 2005 Axis Communications AB
 * 
 * This work is licensed under the terms of the GNU GPL, version 2 or later.
 * See the COPYING file in the top-level directory.
 * 
 * time
 * 
 * Authors:          Edgar E. Iglesias <edgar@axis.com>
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdio.h>
#include <time.h>

#ifdef HAVE_SYSINFO
#include <sys/sysinfo.h>
#else
#include <unistd.h>
#include <sys/times.h>
#endif

/*
 * This function returns the number of seconds that have elapsed since an
 * arbitrary point in the past. Dont rely on its initial value beeing any
 * specific number.
 */
time_t ptime(void) {
#ifdef HAVE_SYSINFO
	struct sysinfo si;
	sysinfo(&si);
	return si.uptime;
#else
	/* if the systems time is modified, the caller will get confused */
	return time(NULL);
#endif
}
