/*
 * Copyright: 2005 Axis Communications AB
 * 
 * This work is licensed under the terms of the GNU GPL, version 2 or later.
 * See the COPYING file in the top-level directory.
 * 
 * Code to supply random data
 * 
 * Authors:	     Edgar E. Iglesias <edgar@axis.com>
 */

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <assert.h>

static const char randfile[] = "/dev/urandom";
static FILE *randfp = NULL;

static void random_close(void) {
	if (randfp)
		fclose(randfp);
}

void random_fill(void *buf, size_t len) {
	if (!randfp) {
		randfp = fopen(randfile, "r");
		if (!randfp) {
			perror(randfile);
			exit(EXIT_FAILURE);
		}
		atexit(random_close);
	}	
	fread(buf, 1, len, randfp);
}
