/*
 * Copyright: 2007 Axis Communications AB
 *
 * This work is licensed under the terms of the GNU GPL, version 2 or later.
 * See the COPYING file in the top-level directory.
 * 
 * netdev utils, with instrumentation.
 * 
 * Authors:	  Edgar E. Iglesias <edgar@axis.com>
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#if HAVE_STDINT_H
#include <stdint.h>
#endif
#if HAVE_INTTYPES_H
#include <inttypes.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <assert.h>

uint8_t instr_if_hwaddress[] = {0x00, 0x40, 0x8C, 0x1C, 0x00, 0x68};
ssize_t if_hwaddress(int s, unsigned char *buf, size_t buflen,
		     char *ifname, uint16_t *type)
{
	int len = sizeof instr_if_hwaddress;

	if (len > buflen)
		len = buflen;
	
	memcpy(buf, instr_if_hwaddress, len);
	return len;
}

int if_mc_bindsocket(int s, char *interface)
{
	return 0;
}

unsigned int ra_seq[128];
unsigned int ra_seqlen = 0;

int instr_if_raflags = 0;
int if_get_raflags(char *interface)
{
	static int cnt = 0;
	static int f = 0;
	unsigned int raflags;

	if (!ra_seqlen)
		return instr_if_raflags;

	if (cnt >= 0 && cnt < ra_seqlen)
		raflags = ra_seq[cnt];
	else
		raflags = f;

	f = raflags;
	cnt++;
	return raflags;
}
